<?php
/**
 * @package     jtl_janolaw
 * @author      Felix Moche <felix.moche@jtl-software.com
 * @copyright   2016 JTL-Software-GmbH
 * @license     http://jtl-url.de/jtlshoplicense
 */

require_once $oPlugin->cFrontendPfad . 'inc/class.helper.janolaw.php';

$stepPlugin     = 'uebersicht';
$cFehler        = '';
$oUpdate_arr    = array();
$helper         = new janolawHelper($oPlugin);
$cPluginHinweis = '';
$apiVersion     = 0;
// Reset
if (isset($_GET['a']) && isset($_GET['u']) && $_GET['a'] === 'reset' && intval($_GET['u']) > 0) {
    $update                = new stdClass();
    $update->nVersuch      = 0;
    $update->nAktiv        = 1;
    $update->dAktualisiert = '0000-00-00 00:00:00';
    Shop::DB()->update('xplugin_jtl_janolaw_tupdate', 'kUpdate', (int) $_GET['u'], $update);
    $cPluginHinweis = 'Reset wurde erfolgreich durchgef&uuml;hrt.';
    Shop::Cache()->flushTags(array($oPlugin->pluginCacheGroup));
}
if (isset($_POST['refresh'])) {
    //force refresh
    $helper->run(true);
}
// Uebersicht
if ($stepPlugin === 'uebersicht') {
    $helper->init();
    $current    = Shop::DB()->select('xplugin_jtl_janolaw_tupdate', 'cType', 'model-withdrawal-form');
    $apiVersion = $helper->getApiVersion();
    $apiVersion = $apiVersion['version'];
    if ((isset($current->nAktiv) && $current->nAktiv !== 1 && $current->nAktiv != 0) || $apiVersion['version'] < 3) {
        $upd         = new stdClass();
        $upd->nAktiv = ($apiVersion < 3) ? 2 : 1;
        Shop::DB()->update('xplugin_jtl_janolaw_tupdate', 'cType', 'model-withdrawal-form', $upd);
    }
    $oUpdate_arr = $helper->getStatus();
}
$smarty->assign('oUpdate_arr', $oUpdate_arr)
       ->assign('cHinweis', $cPluginHinweis)
       ->assign('apiVersion', $apiVersion)
       ->assign('cFehler', $cFehler)
       ->assign('pdfLinks', $helper->getPdfDownloadLinks())
       ->assign('isConfigured', $helper->isConfigured())
       ->assign('URL_SHOP', Shop::getURL())
       ->assign('PFAD_ROOT', PFAD_ROOT)
       ->assign('postURL', Shop::getURL() . '/' . PFAD_ADMIN . 'plugin.php?kPlugin=' . $oPlugin->kPlugin)
       ->assign('URL_ADMINMENU', Shop::getURL() . '/' . PFAD_PLUGIN . $oPlugin->cVerzeichnis . '/' . PFAD_PLUGIN_VERSION . $oPlugin->nVersion . '/' . PFAD_PLUGIN_ADMINMENU)
       ->assign('stepPlugin', $stepPlugin)
       ->display($oPlugin->cAdminmenuPfad . 'templates/janolaw.tpl');
