{config_load file="$lang.conf" section="plugin"}

{if !empty($cPluginHinweis)}
    <p class="alert alert-info">{$cPluginHinweis}</p>
{/if}
{if !empty($cFehler)}
    <p class="alert alert-danger">{$cFehler}</p>
{/if}
{if $apiVersion !== 3}
    <div class="alert alert-info">Bitte pr&uuml;fen Sie, ob Sie die Texte neu generiert haben und f&uuml;r die optionale mehrsprachige Version
        den Service bei janolaw gebucht haben. <br>Kontaktieren Sie dazu janolaw unter support@janolaw.de oder unter 06196 / 77 22 777
    </div>
{/if}

{if $isConfigured}
    <div class="panel panel-default">
        <div class="panel-heading">
            <h3 class="panel-title">Automatisch integrierte Dokumente</h3>
        </div>
        <table class="table">
            <tr>
                <th class="th-1">Typ</th>
                <th class="th-2">Format</th>
                <th class="th-3">Status</th>
                <th class="th-4">Seite existiert</th>
                <th class="th-5">&nbsp;</th>
                <th class="th-6">Aktualisiert</th>
            </tr>
            {foreach name=updates from=$oUpdate_arr item=oUpdate}
                <tr>
                    <td class="TD1">{$oUpdate->niceName}</td>
                    <td class="TD2">{$oUpdate->cFormat}</td>
                    <td class="TD3">
                        {if $apiVersion > 0}
                            {if $oUpdate->nAktiv == 1}
                                <span class="label label-success">Aktiv</span>
                            {elseif $oUpdate->nAktiv == 2}
                                <span class="label label-warning">Nicht unterst&uuml;tzt</span>
                            {else}
                                <span class="label label-danger">Fehler</span>
                            {/if}
                        {else}
                            <span class="label label-danger">Fehler</span>
                        {/if}
                    </td>
                    <td>{if $oUpdate->pageExists === true}
                            <span class="label label-success"><i class="fa fa-check"></i></span>
                        {else}
                            <span class="label label-danger"><i class="fa fa-close"></i></span>
                        {/if}
                    </td>
                    <td>
                        {if $oUpdate->nAktiv == 1}
                            &nbsp;
                        {elseif $oUpdate->nAktiv == 0}
                            <a href="{$postURL}&a=reset&u={$oUpdate->kUpdate}" class="btn btn-danger button orange">Reset</a>
                        {/if}
                    </td>
                    <td class="TD4">
                        {if $oUpdate->dAktualisiert === '0000-00-00 00:00:00'}&ndash;{else}{$oUpdate->dAktualisiert|date_format:"%d.%m.%Y, %H:%M:%S"}{/if}
                    </td>
                </tr>
            {/foreach}
        </table>
        <div class="panel-footer">
            <form method="post" action="{$postURL}">
                {$jtl_token}
                <button name="refresh" value="1" class="btn btn-primary" type="submit"><i class="fa fa-refresh"></i> Aktualisieren</button>
            </form>
        </div>
    </div>
{else}
    <div class="alert alert-info">Bitte Zugangsdaten im Einstellungen-Tab eingeben.</div>
{/if}

{if $pdfLinks|count > 0}
    <div class="panel panel-default">
        <div class="panel-heading">
            <h3 class="panel-title">PDFs</h3>
        </div>
        <table class="table">
            <tr>
                <th class="th-1">Typ</th>
                <th class="th-2">Sprache</th>
                <th class="th-3">Link</th>
            </tr>
            {foreach from=$pdfLinks item=pdf}
                <tr>
                    <td class="TD1">{$pdf.niceName}</td>
                    <td class="TD2">{$pdf.langCode}</td>
                    <td class="TD3"><a href="{$pdf.url}" title="{$pdf.niceName} in {$pdf.langCode} herunterladen"><i class="fa fa-external-link"></i> Download</a></td>
                </tr>
            {/foreach}
        </table>
    </div>
{/if}